package com.caimei.service.auth;

import com.alibaba.fastjson.JSONArray;
import com.caimei.model.ResponseJson;
import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.vo.AuthFormVo;
import com.caimei.model.vo.AuthVo;
import com.github.pagehelper.PageInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/6/15
 */
public interface LogisticsService {

    /**
     * 寄送机构授权牌
     */
    ResponseJson sendCertificate(Integer authId, Integer companyId, String logisticsNumber, JSONArray imageList, String remarks);

    /**
     * 寄送授权牌物流详情
     * @param authId
     * @return
     */
    ResponseJson certificateLogistics(Integer authId);

    /**
     * 物流公司数据
     * @return
     */
    ResponseJson getLogisticsCompany();
}
